/*
 * Copyright (c) 2019 Samsung Electronics Co., Ltd.
 *
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.apache.org/licenses/LICENSE-2.0
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 */

#ifndef NOTIFICATION_EX_REPORTER_IMPLEMENTATION_H_
#define NOTIFICATION_EX_REPORTER_IMPLEMENTATION_H_

#include <string>
#include <memory>
#include <list>

#include "notification-ex/reporter.h"

namespace notification {

class Reporter::Impl {
 public:
  virtual ~Impl();

 private:
  Impl(Reporter* parent, std::unique_ptr<IEventSender> sender,
      std::unique_ptr<IEventListener> listener);

 private:
  friend class Reporter;
  int SendNotify(std::shared_ptr<item::AbstractItem> noti,
      IEventInfo::EventType type);
  std::unique_ptr<IEventSender> sender_;
  std::unique_ptr<IEventListener> listener_;
  Reporter* parent_;
};

}  // namespace notification

#endif  // NOTIFICATION_EX_REPORTER_IMPLEMENTATION_H_
